#!/bin/sh
#
# /////////////////////////////////////////////////////////////////////////////
# //                   PROPRIETARY RIGHTS STATEMENT
# // The contents of this file represent confidential information that is the
# // proprietary property of SilverStream Software, Inc.  Viewing or use of
# // this information is prohibited without the express written consent of
# // SilverStream Software, LLC. Removal of this PROPRIETARY RIGHTS STATEMENT
# // is strictly forbidden. Copyright (c) 1999, 2003 All rights reserved.
# /////////////////////////////////////////////////////////////////////////////

# --
# --  exteNd Composer Patch utility
# --

echo "Please make sure Composer Server is not running if patching Server."
echo "Please make sure Composer Designer and Director is not running if patching Designer."
echo "Note: java must be in your path."
echo "Press <Enter> to continue ..."; read x

# relative locations of target jar files (order of test below can be affected by these)
designerJarLoc=../../../Common/lib
serverJarLoc=../../Composer/lib

# --
# -- patch SSSW jar in place
# --


if [ -f ../server/default/lib/jboss.jar ] 
  then
     serverJarLoc=../server/default/lib
fi
if [ -d $serverJarLoc ]
then
   # Do Server patch
   echo "Applying Server patch..."
   sh ./xcPatch.sh $serverJarLoc xcs-all.jar xcPatch521s.zip xcs-all-pre1307C.jar
   cp xc-iway.jar $serverJarLoc/xc-iway.jar
   echo "Done"
elif [ -d $designerJarLoc ]
then
   # Do Designer patch
   echo "Applying Designer patch..."
   sh ./xcPatch.sh $designerJarLoc xcd-all.jar xcPatch521d.zip xcd-all-pre1307C.jar
   cp xc-iway.jar ../lib/xc-iway.jar
   echo Creating directory for IDM2 jar files ...
   mkdir ../lib/IDM2
   echo Copying jars ...
   cp ComposerDriverShim.jar ../lib/IDM2/ComposerDriverShim.jar
   cp ejb.jar ../lib/IDM2/ejb.jar
   cp SilverRuntime.jar ../lib/IDM2/SilverRuntime.jar
   cp xconfig.jar ../lib/IDM2/xconfig.jar
   cp IDM_ProjectTemplate.zip ../lib/IDM2/IDM_ProjectTemplate.zip
   ../../../Common/jre/bin/java -classpath xconfpatch.jar:$designerJarLoc/xcd-all.jar:$designerJarLoc/xwb-wsdl-uddi.jar: com.novell.composerPatch.PatchXConfig ../bin
   echo "Done"
else
   # patch files probably in wrong place.
   echo "Patch not applied, unable to find Composer jar(s). Please consult readme521.txt for instructions on applying this patch."
fi

if [ -f ../server/default/lib/jboss.jar ] 
  then
     echo Copying to xcs-all.jar "all" configuration ...
     cp ../server/default/lib/xcs-all.jar 	 ../server/all/lib/xcs-all.jar
	 cp xc-iway.jar ../lib/xc-iway.jar
fi